

<div class="site-agreement-request">
  <app-content-banner [isDashboard]="false" pageName="New Site Agreement Request"></app-content-banner>
  <mat-card class="sp-main-card mat-elevation-z0">
      <mat-card-header fxLayout="column" fxLayoutGap="5px" *ngIf="isSiteTabVisible === true" >
     <!--     <div  fxLayout="row"   class="div-row" fxLayoutGap="10px" >
              <div  *ngFor="let s of sitecreated"  class="left-text">
                  <button type="button" mat-raised-button color="primary" matTooltip="sites" (click)="showInfo(s.siteID)">
                  {{s.name | uppercase  }}</button>
              </div>                
          </div>-->

          <mat-tab-group dynamicHeight  [(selectedIndex)]="tabSiteSelectedIndex" (selectedTabChange)="tabSiteChanged($event)" >
            <mat-tab *ngFor="let s of sitecreated"  >
              <ng-template matTabLabel>
                <span>{{s.name | uppercase  }}</span>
              </ng-template>
              <ng-template matTabContent>
                  <div  >
                     
                  </div>
              </ng-template>
            </mat-tab>
          </mat-tab-group>   
    </mat-card-header>
      <mat-card-header fxLayout="column" fxLayoutGap="5px">
          <div fxLayout="row" class="second-header-filter">
             <span><b>Agency Name: </b> <span>{{agencyInfo.name}}</span></span>
              <span ><b>Agency Address: </b> <span>{{agencyInfo.agencyAddress}},{{agencyInfo.city}}{{agencyInfo.state}},{{agencyInfo.zip}}</span></span>
              <span><b>Site Name: </b> <span>{{siteDemographicdata.name}}</span></span>
              <span><b>Site Address: </b> <span>{{siteDemographicdata.address}},{{siteDemographicdata.city}}{{siteDemographicdata.state}},{{siteDemographicdata.zip}}</span></span>
              <!-- <span  *ngIf="unitTabVisible == false" ><b>Site Contacts: </b><span *ngFor="let siteContact of siteContacts" > {{siteContact.lastName}},{{siteContact.firstName}}</span>
              </span>
              <span  *ngIf="unitTabVisible == true" ><b>Primary Service Contract: </b><span> {{primaryserviceContractType}}</span>
              </span> -->
            </div>
    </mat-card-header>
      
    <mat-card-content class="regular-mat-form-field">
      <mat-tab-group dynamicHeight  [(selectedIndex)]="tabSelectedIndex" (selectedTabChange)="tabChanged($event)" >
        <mat-tab>
          <ng-template matTabLabel>
            <span>Site Demographics</span>
            <mat-icon *ngIf="siteDemographicDataTabStatus !== 2"
            [ngStyle]="{'color': siteDemographicDataTabStatus == 0 ? pendingColor : siteDemographicDataTabStatus == 1 ?  completedColor :noColor }">
            {{siteDemographicDataTabStatus == 1?'check_circle': siteDemographicDataTabStatus == 0 ? 'watch_later': ''}}
          </mat-icon>
          </ng-template>
          <ng-template matTabContent>
                  <app-site-demographic-request [siteRequestID]="siteRequestID" [options]='useroptions' [siteDemographicData]='siteDemographicdata' [siteFeatureData]='siteFeatureData' (siteDemographicDataChanged)='getmodifiedData($event)'></app-site-demographic-request>
          </ng-template>
        </mat-tab>
        <mat-tab>
              <ng-template matTabLabel>
                <span>Site Contact</span>
                <mat-icon *ngIf="siteContactTabStatus !== 2"
                  [ngStyle]="{'color': siteContactTabStatus == 0 ? pendingColor : siteContactTabStatus == 1 ? completedColor :noColor}">
                  {{siteContactTabStatus == 1?'check_circle': siteContactTabStatus == 0 ? 'watch_later': ''}}
                </mat-icon>
              </ng-template>
              <ng-template matTabContent>
                    <app-site-contact-request-view [siteRequestID]='siteRequestID' [options]='useroptions' [contactType]='1'></app-site-contact-request-view>
              </ng-template>
        </mat-tab>
        <mat-tab>
                <ng-template matTabLabel>
                  <span>Primary Service Contract and Unit Details</span>
                  <mat-icon *ngIf="sitePrimaryServiceTabStatus !== 2"
                  [ngStyle]="{'color': siteUnitDetailTabStatus == 0 ? pendingColor : siteUnitDetailTabStatus == 1 ? completedColor :noColor}">
                  {{siteUnitDetailTabStatus == 1?'check_circle': siteUnitDetailTabStatus == 0 ? 'watch_later': ''}}
                </mat-icon>
                </ng-template>
              
                <ng-template matTabContent>
                  <div *ngIf="unitTabVisible == false">
                      <app-primary-service-contract-request [siteRequestID]='siteRequestID' [options]='useroptions' (unitdetailopenbtnclick)="unitDetailOpenClick($event)"  ></app-primary-service-contract-request>
                  </div>
                  <div *ngIf="unitTabVisible == true">
                      <div class="example-container mat-elevation-z4" >
                      <unit-details-request-grid  [siteAgreePopRequestID]='siteAgreePopRequestID' [maxTotalUnits]="totalUnitsByAgreement" [siteRequestID]='siteRequestID' (unitclosebtnclick)="unitCloseClick(false)"></unit-details-request-grid>
                    </div>
                    </div>
                </ng-template>
        </mat-tab>
     
      </mat-tab-group>

    <div fxLayout="row" style="margin: 5px; margin-top: 20px;" fxLayoutGap="10px">
        <div fxLayoutAlign="start" fxFlex="80">
            <button mat-raised-button color="primary" [disabled]="IsFormDataValidInTabs == false" (click)="OnSave($event)">Submit</button>
        </div>
        <div fxLayoutAlign="end" fxLayoutGap="10px" fxFlex>
            <button mat-raised-button *ngIf="tabSelectedIndex > 0" color="primary" (click)="previousPage()" fxFlexAlign="right">Previous</button>
            <button mat-raised-button *ngIf="tabSelectedIndex < 2" color="primary" (click)="nextPage()" fxFlexAlign="right">Next</button>
        </div>
    </div>
    
  </mat-card-content>

  </mat-card>
</div>

